收藏
回答

腾讯地图插件无法使用?

问题模块 框架类型 问题类型 API/组件名称 终端类型 操作系统 微信版本 基础库版本
API和组件 小程序 Bug 腾讯地图插件 微信iOS客户端 6.6.7 2.0.8

在小程序后台第三方服务添加腾讯地图插件后,配置如下

app.json

{

  "plugins": {

    "tencentMap": {

      "version": "1.0.5",

      "provider": "wx5bc2ac602a747594"

    }

  }

}


the_page.json

{

  "usingComponents": {

    "map-route": "plugin://tencentMap/mapRoute"

  }

}


在开发工具上可以显示,但在console 里可以看到如下错误



在真机上(ios, android)页面则无法显示,错误如下




插件Bug?还是有什么明显的东西没有配置?腾讯地图插件应该是所有小程序都可以使用的吧?


谢谢!

最后一次编辑于  2018-05-29  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

3 个回答

  • YOLO
    YOLO
    2018-06-07

    楼主解决了吗?

    2018-06-07
    赞同 1
    回复
  • DOU@簇格运动
    DOU@簇格运动
    2018-05-29

    补充下

    wxml:

            <map-route route-info="{{ routeInfo }}"></map-route>

    js:

           const routeInfo = {

                startLat: 39.90469, 

                startLng: 116.40717, 

                startName: "我的位置",

                endLat: pointInfo.location.lat,

                endLng: pointInfo.location.lon,

                endName: pointInfo.name,

                mode: "car"

            }


            this.setData({

                routeInfo

            })


    2018-05-29
    赞同
    回复
  • 云上的诱惑
    云上的诱惑
    2018-05-30

    我的是出现这个报错,不知道哪里不对


    2018-05-30
    赞同
    回复 4
    • 布丁达人
      布丁达人
      2018-05-31

      基础库调到2.0.9就好了

      2018-05-31
      回复
    • 云上的诱惑
      云上的诱惑
      2018-06-01

      謝謝

      2018-06-01
      回复
    • style
      style
      2018-06-08

      楼主解决了吗?我也是这个错误

      2018-06-08
      1
      回复
    • DOU@簇格运动
      DOU@簇格运动
      2018-06-09

      还是不行,晕的,官方也不出来解释下

      2018-06-09
      回复